ExpressionException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.expression

## Class ExpressionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.expression.ExpressionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    EvaluationException, ParseException

      public class ExpressionException
      extends RuntimeException

  Super class for exceptions that can occur whilst processing expressions
  Since:
    3.0
  Author:
    Andy Clement
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `expressionString`
    `protected int` | `position`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionException(int position, String message)` Creates a new expression exception.
    `ExpressionException(int position, String message, Throwable cause)` Creates a new expression exception.
    `ExpressionException(String message)` Creates a new expression exception.
    `ExpressionException(String expressionString, int position, String message)` Creates a new expression exception.
    `ExpressionException(String expressionString, String message)` Creates a new expression exception.
    `ExpressionException(String message, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExpressionString()`
    `int` | `getPosition()`
    `String` | `toDetailedString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### expressionString

          protected String expressionString

    - #### position

          protected int position

  - ### Constructor Detail

    - #### ExpressionException

          public ExpressionException(String expressionString,
                             String message)

      Creates a new expression exception.
      Parameters:
        `expressionString` - the expression string
        `message` - a descriptive message

    - #### ExpressionException

          public ExpressionException(String expressionString,
                             int position,
                             String message)

      Creates a new expression exception.
      Parameters:
        `expressionString` - the expression string
        `position` - the position in the expression string where the problem occurred
        `message` - a descriptive message

    - #### ExpressionException

          public ExpressionException(int position,
                             String message)

      Creates a new expression exception.
      Parameters:
        `position` - the position in the expression string where the problem occurred
        `message` - a descriptive message

    - #### ExpressionException

          public ExpressionException(int position,
                             String message,
                             Throwable cause)

      Creates a new expression exception.
      Parameters:
        `position` - the position in the expression string where the problem occurred
        `message` - a descriptive message
        `cause` - the underlying cause of this exception

    - #### ExpressionException

          public ExpressionException(String message)

      Creates a new expression exception.
      Parameters:
        `message` - a descriptive message

    - #### ExpressionException

          public ExpressionException(String message,
                             Throwable cause)

  - ### Method Detail

    - #### toDetailedString

          public String toDetailedString()

    - #### getExpressionString

          public final String getExpressionString()

    - #### getPosition

          public final int getPosition()